Index: palm/trunk/SOURCE/Makefile_check
===================================================================
--- palm/trunk/SOURCE/Makefile_check	(revision 807)
+++ palm/trunk/SOURCE/Makefile_check	(revision 808)
@@ -4,9 +4,12 @@
 # Current revisions:
 # ------------------
-# Initial revision
+#
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 807 2012-01-25 11:53:51Z maronga
+# Initial revision
 #
 # Description:
Index: palm/trunk/SOURCE/check_namelist_files.f90
===================================================================
--- palm/trunk/SOURCE/check_namelist_files.f90	(revision 807)
+++ palm/trunk/SOURCE/check_namelist_files.f90	(revision 808)
@@ -1,10 +1,15 @@
+PROGRAM check_namelist_files
+
 !------------------------------------------------------------------------------!
 ! Current revisions:
 ! -----------------
-! Initial revision
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! Initial revision
 !
 ! Description:
@@ -16,6 +21,4 @@
 ! program resides in the SCRIPTS folder as check_namelist_files.x.
 !------------------------------------------------------------------------------!
-
- PROGRAM check_namelist_files
 
 
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 807)
+++ palm/trunk/SOURCE/check_open.f90	(revision 808)
@@ -4,5 +4,4 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 !
@@ -10,4 +9,8 @@
 ! -----------------
 ! $Id$
+
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 ! Bugfix concerning opening of 3D files in restart runs in case of netCDF4
 !
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 807)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 808)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 774 2011-10-27 13:34:16Z letzel
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 807)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 808)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 759 2011-09-15 13:58:31Z raasch
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 807)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 808)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 771 2011-10-27 10:56:21Z heinze
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 807)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 808)
@@ -4,5 +4,4 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -12,4 +11,7 @@
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 780 2011-11-10 07:16:47Z raasch
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 807)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 808)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 807)
+++ palm/trunk/SOURCE/modules.f90	(revision 808)
@@ -1,15 +1,17 @@
  MODULE advection
-
 
 !------------------------------------------------------------------------------!
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
 ! New cpp directive "__check" implemented which is used by check_namelist_files.
 ! New parameter check_restart has been defined which is needed by 
 ! check_namelist_files only.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 805 2012-01-17 15:53:28Z franke
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 807)
+++ palm/trunk/SOURCE/parin.f90	(revision 808)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
 !
 ! 785 2011-11-28 09:47:19Z raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 807)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 808)
@@ -4,6 +4,4 @@
 ! Current revisions:
 ! -----------------
-! New cpp directive "__check" implemented which is used by check_namelist_files
-! (most of the code is unneeded by check_namelist_files).
 ! 
 !
@@ -11,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
+! (most of the code is unneeded by check_namelist_files).
 !
 ! 763 2011-10-06 09:32:09Z suehring
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 807)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 808)
@@ -1,13 +1,17 @@
  MODULE poisfft_hybrid_mod
+
 !------------------------------------------------------------------------------
 ! 
 ! Current revisions: 
 ! ----------------- 
-! New cpp directive "__check" implemented which is used by check_namelist_files
-! (most of the code is unneeded by check_namelist_files).
+!
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 807 2012-01-25 11:53:51Z maronga
+! New cpp directive "__check" implemented which is used by check_namelist_files
+! (most of the code is unneeded by check_namelist_files).
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka