Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 808)
+++ palm/trunk/SOURCE/check_open.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -120,5 +120,5 @@
     IF ( openfile(file_id)%opened )  RETURN
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
 !
 !-- Only certain files are allowed to be re-opened
@@ -240,5 +240,5 @@
                 CALL local_system( 'mkdir  BINOUT' // coupling_char )
              ENDIF
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !--          Set a barrier in order to allow that all other processors in the 
@@ -279,5 +279,5 @@
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !--          Set a barrier in order to allow that all other processors in the 
@@ -660,5 +660,5 @@
                 CALL local_system( 'mkdir  PARTICLE_INFOS' // coupling_char )
              ENDIF
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !--          Set a barrier in order to allow that thereafter all other
@@ -709,5 +709,5 @@
                 CALL local_system( 'mkdir  PARTICLE_DATA' // coupling_char )
              ENDIF
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !--          Set a barrier in order to allow that thereafter all other
@@ -1312,5 +1312,5 @@
                                        TRIM( coupling_char ) // '/' )
                 ENDIF
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 ! 
 !--             Set a barrier in order to allow that all other processors in the
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 808)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -237,5 +237,5 @@
 #endif
 
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dt_coupling, 1, MPI_REAL, target_id, 11, comm_inter, &
@@ -253,5 +253,5 @@
        ENDIF
        IF ( dt_coupling <= 0.0 )  THEN
-#if .NOT. defined( __check )
+#if ! defined( __check )
           IF ( myid == 0  ) THEN
              CALL MPI_SEND( dt_max, 1, MPI_REAL, target_id, 19, comm_inter, ierr )
@@ -267,5 +267,5 @@
           CALL message( 'check_parameters', 'PA0005', 0, 1, 0, 6, 0 )
        ENDIF
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( restart_time, 1, MPI_REAL, target_id, 12, comm_inter, &
@@ -282,5 +282,5 @@
           CALL message( 'check_parameters', 'PA0006', 1, 2, 0, 6, 0 )
        ENDIF
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dt_restart, 1, MPI_REAL, target_id, 13, comm_inter, &
@@ -299,5 +299,5 @@
 
        simulation_time_since_reference = end_time - coupling_start_time
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF  ( myid == 0 ) THEN
           CALL MPI_SEND( simulation_time_since_reference, 1, MPI_REAL, target_id, &
@@ -316,5 +316,5 @@
        ENDIF
 
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dx, 1, MPI_REAL, target_id, 15, comm_inter, ierr )
@@ -343,5 +343,5 @@
        ENDIF
 
-#if .NOT. defined( __check )
+#if ! defined( __check )
        IF ( myid == 0) THEN
           CALL MPI_SEND( dy, 1, MPI_REAL, target_id, 16, comm_inter, ierr )
@@ -391,5 +391,5 @@
     ENDIF
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !-- Exchange via intercommunicator
@@ -2959,5 +2959,5 @@
 !
 
-#if .NOT. defined( __check )
+#if ! defined( __check )
 !-- Check netcdf precison
     ldum = .FALSE.
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 808)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -537,5 +537,5 @@
 
              ENDIF
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
@@ -742,5 +742,5 @@
           ENDIF
        ENDDO
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
 !
 !--    Exchange of lateral boundary values (parallel computers) and cyclic
@@ -772,5 +772,5 @@
     ENDIF
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
 !
 !-- Preliminary: to be removed after completion of the topography code!
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 808)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -350,5 +350,5 @@
 !--    Set global masks along all three dimensions (required by
 !--    define_netcdf_header).
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !--    PE0 receives partial arrays from all processors of the respective mask
@@ -443,5 +443,5 @@
        ENDIF
 
-#elif .NOT. defined ( __parallel )
+#elif ! defined ( __parallel )
 !
 !--    Local arrays can be relocated directly.
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 808)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 809)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -218,5 +219,5 @@
 
 
-#if .NOT. defined( __check)
+#if ! defined( __check)
 !
 !-- Create the virtual processor grid
@@ -531,5 +532,5 @@
 
 
-#if .NOT. defined( __check)
+#if ! defined( __check)
 !
 !-- Collect index bounds from other PEs (to be written to restart file later)
@@ -598,5 +599,5 @@
 #endif
 
-#if defined( __parallel ) .AND. .NOT. defined( __check)
+#if defined( __parallel ) && ! defined( __check)
 #if defined( __mpi2 )
 !
@@ -942,5 +943,5 @@
 
           IF ( i == mg_switch_to_pe0_level )  THEN
-#if defined( __parallel ) .AND. .NOT. defined( __check )
+#if defined( __parallel ) && ! defined( __check )
 !
 !--          Save the grid size of the subdomain at the switch level, because
@@ -975,5 +976,5 @@
                               ( nzt_l - nzb + 2 )
 
-#elif .NOT. defined ( __parallel )
+#elif ! defined ( __parallel )
              message_string = 'multigrid gather/scatter impossible ' // &
                           'in non parallel mode'
@@ -1017,5 +1018,5 @@
     grid_level = 0
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !-- Gridpoint number for the exchange of ghost points (y-line for 2D-arrays)
@@ -1100,5 +1101,5 @@
 #endif
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 !
 !-- Setting of flags for inflow/outflow conditions in case of non-cyclic
@@ -1160,5 +1161,5 @@
                         comm1dx, ierr )
 
-#elif .NOT. defined ( __parallel )
+#elif ! defined ( __parallel )
     IF ( bc_lr == 'dirichlet/radiation' )  THEN
        inflow_l  = .TRUE.
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 808)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -45,5 +45,5 @@
 
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
     IF ( coupling_mode == 'uncoupled' )  THEN
        IF ( abort_mode == 1 )  THEN
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 808)
+++ palm/trunk/SOURCE/modules.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -1262,5 +1262,5 @@
 !------------------------------------------------------------------------------!
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
 #if defined( __lc )
     USE MPI
@@ -1294,5 +1294,5 @@
     INTEGER ::  ibuf(12), pcoord(2), pdims(2)
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
     INTEGER ::  status(MPI_STATUS_SIZE)
 #endif
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 808)
+++ palm/trunk/SOURCE/parin.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -288,5 +288,5 @@
 
  12       IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
              CALL read_var_list
 !
@@ -361,5 +361,5 @@
 
        ENDIF
-#if defined( __parallel ) .AND. .NOT. ( __check )
+#if defined( __parallel ) && ! ( __check )
        CALL MPI_BARRIER( MPI_COMM_WORLD, ierr )
 #endif
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 808)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 809)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions:
@@ -111,5 +111,5 @@
     PRIVATE
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
     PUBLIC  poisfft, poisfft_init
 
@@ -137,5 +137,5 @@
     END SUBROUTINE poisfft_init
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
     SUBROUTINE poisfft( ar, work )
 
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 808)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 809)
@@ -5,5 +5,5 @@
 ! Current revisions: 
 ! ----------------- 
-!
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! Former revisions: 
@@ -92,5 +92,5 @@
 
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
     PUBLIC poisfft_hybrid, poisfft_hybrid_ini
 
@@ -172,5 +172,5 @@
        nwords = ( nxr_p-nxl_p+1 ) * nz * ( nyn_p-nys_p+1 )
 
-#if defined( __KKMP ) .AND. .NOT. defined ( __check )
+#if defined( __KKMP ) && ! defined ( __check )
        CALL LOCAL_GETENV( 'OMP_NUM_THREADS', 15, cdummy, idummy )
        READ ( cdummy, '(I8)' )  n_omp_threads
@@ -228,5 +228,5 @@
        IF ( tasks_per_logical_node >= 2 )  THEN
 
-#if defined( __parallel ) .AND. .NOT. defined ( __check )
+#if defined( __parallel ) && ! defined ( __check )
           nodes   = ( numprocs + tasks_per_logical_node - 1 ) / &
                     tasks_per_logical_node
@@ -250,5 +250,5 @@
 !          write(0,*) 'who am i',myid,me,me_node,me_task,nodes,&
 !                     tasks_per_logical_node
-#elif .NOT. defined( __parallel ) 
+#elif ! defined( __parallel ) 
           message_string = 'parallel environment (MPI) required'
           CALL message( 'poisfft_hybrid_ini', 'PA0282', 1, 2, 0, 6, 0 )
@@ -258,5 +258,5 @@
     END SUBROUTINE poisfft_hybrid_ini
 
-#if .NOT. defined ( __check )
+#if ! defined ( __check )
     SUBROUTINE poisfft_hybrid( ar )
 