Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 809)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 810)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 ! 807 2012-01-25 11:53:51Z maronga
 ! New cpp directive "__check" implemented which is used by check_namelist_files
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 809)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 809)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 809)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives 
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 809)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 810)
@@ -4,5 +4,4 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -12,4 +11,7 @@
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/local_stop.f90
===================================================================
--- /palm/trunk/SOURCE/local_stop.f90	(revision 809)
+++ /palm/trunk/SOURCE/local_stop.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 809)
+++ /palm/trunk/SOURCE/modules.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z marongas
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 809)
+++ /palm/trunk/SOURCE/parin.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 809)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 810)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 809)
+++ /palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 810)
@@ -5,9 +5,12 @@
 ! Current revisions: 
 ! ----------------- 
-! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
+!
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 809 2012-01-30 13:32:58Z maronga
+! Bugfix: replaced .AND. and .NOT. with && and ! in the preprocessor directives
 !
 ! 807 2012-01-25 11:53:51Z maronga
Index: /palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 809)
+++ /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 810)
@@ -2,9 +2,11 @@
 // Current revisions:
 // -----------------
-// Bugfix: waiting for 20 minutes does not suffice for local runs
 //
 // Former revisions:
 // -----------------
 // $Id$
+//
+// 809 2012-01-30 13:32:58Z marong
+// Bugfix: waiting for 20 minutes does not suffice for local runs
 //
 // 793 2011-12-12 15:15:24Z maronga