Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 623)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 824)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! mean particle radius added as output quantity.
+! particle attributes speed_x|y|z_sgs renamed rvar1|2|3.
 !
 ! Former revisions:
@@ -87,10 +88,7 @@
        pts_value_l(0,7)  = pts_value_l(0,7) + particles(n)%speed_y     ! mean v
        pts_value_l(0,8)  = pts_value_l(0,8) + particles(n)%speed_z     ! mean w
-       pts_value_l(0,9)  = pts_value_l(0,9) + &
-                                            particles(n)%speed_x_sgs ! mean sgsu
-       pts_value_l(0,10) = pts_value_l(0,10) + &
-                                            particles(n)%speed_y_sgs ! mean sgsv
-       pts_value_l(0,11) = pts_value_l(0,11) + &
-                                            particles(n)%speed_z_sgs ! mean sgsw
+       pts_value_l(0,9)  = pts_value_l(0,9) + particles(n)%rvar1     ! mean sgsu
+       pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2    ! mean sgsv
+       pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3    ! mean sgsw
        IF ( particles(n)%speed_z > 0.0 )  THEN
           pts_value_l(0,12) = pts_value_l(0,12) + 1.0  ! # of upward moving prts
@@ -101,6 +99,7 @@
                                             particles(n)%speed_z ! mean w down
        ENDIF
-       pts_value_l(0,15) = number_of_particles
+       pts_value_l(0,15) = pts_value_l(0,15) + particles(n)%radius
        pts_value_l(0,16) = number_of_particles
+       pts_value_l(0,17) = number_of_particles
 
 !
@@ -120,7 +119,7 @@
           pts_value_l(j,7)  = pts_value_l(j,7)  + particles(n)%speed_y
           pts_value_l(j,8)  = pts_value_l(j,8)  + particles(n)%speed_z
-          pts_value_l(j,9)  = pts_value_l(j,9)  + particles(n)%speed_x_sgs
-          pts_value_l(j,10) = pts_value_l(j,10) + particles(n)%speed_y_sgs
-          pts_value_l(j,11) = pts_value_l(j,11) + particles(n)%speed_z_sgs
+          pts_value_l(j,9)  = pts_value_l(j,9)  + particles(n)%rvar1
+          pts_value_l(j,10) = pts_value_l(j,10) + particles(n)%rvar2
+          pts_value_l(j,11) = pts_value_l(j,11) + particles(n)%rvar3
           IF ( particles(n)%speed_z > 0.0 )  THEN
              pts_value_l(j,12) = pts_value_l(j,12) + 1.0
@@ -129,6 +128,7 @@
              pts_value_l(j,14) = pts_value_l(j,14) + particles(n)%speed_z
           ENDIF
-          pts_value_l(j,15) = pts_value_l(j,15) + 1.0
+          pts_value_l(j,15) = pts_value_l(j,15) + particles(n)%radius
           pts_value_l(j,16) = pts_value_l(j,16) + 1.0
+          pts_value_l(j,17) = pts_value_l(j,17) + 1.0
 
        ENDIF
@@ -142,14 +142,14 @@
 
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,1), pts_value(0,1), 14*inum, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,1), pts_value(0,1), 15*inum, MPI_REAL, &
                         MPI_SUM, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,15), pts_value(0,15), inum, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,16), pts_value(0,16), inum, MPI_REAL, &
                         MPI_MAX, comm2d, ierr )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,16), pts_value(0,16), inum, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum, MPI_REAL, &
                         MPI_MIN, comm2d, ierr )
 #else
-    pts_value(:,1:16) = pts_value_l(:,1:16)
+    pts_value(:,1:17) = pts_value_l(:,1:17)
 #endif
 
@@ -167,5 +167,5 @@
        IF ( pts_value(j,1) > 0.0 )  THEN
 
-          pts_value(j,2:14) = pts_value(j,2:14) / pts_value(j,1)
+          pts_value(j,2:15) = pts_value(j,2:15) / pts_value(j,1)
           IF ( pts_value(j,12) > 0.0  .AND.  pts_value(j,12) < 1.0 )  THEN
              pts_value(j,13) = pts_value(j,13) / pts_value(j,12)
@@ -186,21 +186,21 @@
     DO  n = 1, number_of_particles
 
-       pts_value_l(0,17) = pts_value_l(0,17) + ( particles(n)%x - &
+       pts_value_l(0,18) = pts_value_l(0,18) + ( particles(n)%x - &
                            particles(n)%origin_x - pts_value(0,2) )**2 ! x*2
-       pts_value_l(0,18) = pts_value_l(0,18) + ( particles(n)%y - &
+       pts_value_l(0,19) = pts_value_l(0,19) + ( particles(n)%y - &
                            particles(n)%origin_y - pts_value(0,3) )**2 ! y*2
-       pts_value_l(0,19) = pts_value_l(0,19) + ( particles(n)%z - &
+       pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%z - &
                            particles(n)%origin_z - pts_value(0,4) )**2 ! z*2
-       pts_value_l(0,20) = pts_value_l(0,20) + ( particles(n)%speed_x - &
+       pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%speed_x - &
                                                pts_value(0,6) )**2     ! u*2
-       pts_value_l(0,21) = pts_value_l(0,21) + ( particles(n)%speed_y - &
+       pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%speed_y - &
                                                pts_value(0,7) )**2     ! v*2
-       pts_value_l(0,22) = pts_value_l(0,22) + ( particles(n)%speed_z - &
+       pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_z - &
                                                pts_value(0,8) )**2     ! w*2
-       pts_value_l(0,23) = pts_value_l(0,23) + ( particles(n)%speed_x_sgs - &
+       pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%rvar1 - &
                                                pts_value(0,9) )**2     ! u"2
-       pts_value_l(0,24) = pts_value_l(0,24) + ( particles(n)%speed_y_sgs - &
+       pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%rvar2 - &
                                                pts_value(0,10) )**2    ! v"2
-       pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%speed_z_sgs - &
+       pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar3 - &
                                                pts_value(0,11) )**2    ! w"2
 !
@@ -209,21 +209,21 @@
           j = particles(n)%group
 
-          pts_value_l(j,17) = pts_value_l(j,17) + ( particles(n)%x - &
+          pts_value_l(j,18) = pts_value_l(j,18) + ( particles(n)%x - &
                               particles(n)%origin_x - pts_value(j,2) )**2
-          pts_value_l(j,18) = pts_value_l(j,18) + ( particles(n)%y - &
+          pts_value_l(j,19) = pts_value_l(j,19) + ( particles(n)%y - &
                               particles(n)%origin_y - pts_value(j,3) )**2
-          pts_value_l(j,19) = pts_value_l(j,19) + ( particles(n)%z - &
+          pts_value_l(j,20) = pts_value_l(j,20) + ( particles(n)%z - &
                               particles(n)%origin_z - pts_value(j,4) )**2
-          pts_value_l(j,20) = pts_value_l(j,20) + ( particles(n)%speed_x - &
+          pts_value_l(j,21) = pts_value_l(j,21) + ( particles(n)%speed_x - &
                                                   pts_value(j,6) )**2
-          pts_value_l(j,21) = pts_value_l(j,21) + ( particles(n)%speed_y - &
+          pts_value_l(j,22) = pts_value_l(j,22) + ( particles(n)%speed_y - &
                                                   pts_value(j,7) )**2
-          pts_value_l(j,22) = pts_value_l(j,22) + ( particles(n)%speed_z - &
+          pts_value_l(j,23) = pts_value_l(j,23) + ( particles(n)%speed_z - &
                                                   pts_value(j,8) )**2
-          pts_value_l(j,23) = pts_value_l(j,23) + ( particles(n)%speed_x_sgs - &
+          pts_value_l(j,24) = pts_value_l(j,24) + ( particles(n)%rvar1 -   &
                                                   pts_value(j,9) )**2
-          pts_value_l(j,24) = pts_value_l(j,24) + ( particles(n)%speed_y_sgs - &
+          pts_value_l(j,25) = pts_value_l(j,25) + ( particles(n)%rvar2 -   &
                                                   pts_value(j,10) )**2
-          pts_value_l(j,25) = pts_value_l(j,25) + ( particles(n)%speed_z_sgs - &
+          pts_value_l(j,26) = pts_value_l(j,26) + ( particles(n)%rvar3 -   &
                                                   pts_value(j,11) )**2
        ENDIF
@@ -231,9 +231,9 @@
     ENDDO
 
-    pts_value_l(0,26) = ( number_of_particles - pts_value(0,1) / numprocs )**2
+    pts_value_l(0,27) = ( number_of_particles - pts_value(0,1) / numprocs )**2
                                                  ! variance of particle numbers
     IF ( number_of_particle_groups > 1 )  THEN
        DO  j = 1, number_of_particle_groups
-          pts_value_l(j,26) = ( pts_value_l(j,1) - &
+          pts_value_l(j,27) = ( pts_value_l(j,1) - &
                                 pts_value(j,1) / numprocs )**2
        ENDDO
@@ -246,8 +246,8 @@
 
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( pts_value_l(0,17), pts_value(0,17), inum*10, MPI_REAL, &
+    CALL MPI_ALLREDUCE( pts_value_l(0,18), pts_value(0,18), inum*10, MPI_REAL, &
                         MPI_SUM, comm2d, ierr )
 #else
-    pts_value(:,17:26) = pts_value_l(:,17:26)
+    pts_value(:,18:27) = pts_value_l(:,18:27)
 #endif
 
@@ -264,7 +264,7 @@
 
        IF ( pts_value(j,1) > 0.0 )  THEN
-          pts_value(j,17:25) = pts_value(j,17:25) / pts_value(j,1)
-       ENDIF
-       pts_value(j,26) = pts_value(j,26) / numprocs
+          pts_value(j,18:26) = pts_value(j,18:26) / pts_value(j,1)
+       ENDIF
+       pts_value(j,27) = pts_value(j,27) / numprocs
 
     ENDDO