Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 825)
+++ /palm/trunk/SOURCE/Makefile	(revision 826)
@@ -4,9 +4,12 @@
 # Current revisions:
 # ------------------
-# wang_kernel renamed lpm_collision_kernels
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 825 2012-02-19 03:03:44Z raasch
+# wang_kernel renamed lpm_collision_kernels
 #
 # 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/advec_particles.f90	(revision 825)
+++ /palm/trunk/SOURCE/advec_particles.f90	(revision 826)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! ------------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
 ! droplet growth by condensation may include curvature and solution effects,
 ! initialisation of temporary particle array for resorting removed,
@@ -9,8 +16,4 @@
 ! module wang_kernel_mod renamed lpm_collision_kernels_mod,
 ! wang_collision_kernel renamed wang_kernel
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 799 2011-12-21 17:48:03Z franke
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 825)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! check for collision_kernel and curvature_solution_effects
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! check for collision_kernel and curvature_solution_effects
 !
 ! 809 2012-01-30 13:32:58Z maronga
Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 825)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 826)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! mean/minimum/maximum particle radius added as output quantity.
-! particle attributes speed_x|y|z_sgs renamed rvar1|2|3.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! mean/minimum/maximum particle radius added as output quantity,
+! particle attributes speed_x|y|z_sgs renamed rvar1|2|3
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 825)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! wang_collision_kernel renamed wang_kernel
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! wang_collision_kernel renamed wang_kernel
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 825)
+++ /palm/trunk/SOURCE/header.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of cloud physics parameters/quantities complemented and restructured
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! Output of cloud physics parameters/quantities complemented and restructured
 !
 ! 767 2011-10-14 06:39:12Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 825)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 826)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! wang_collision_kernel renamed wang_kernel
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! wang_collision_kernel renamed wang_kernel
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 825)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! calculation of b_cond replaced by calculation of bfactor
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! calculation of b_cond replaced by calculation of bfactor
 !
 ! 221 2009-01-12 15:32:23Z raasch
Index: /palm/trunk/SOURCE/init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/init_particles.f90	(revision 825)
+++ /palm/trunk/SOURCE/init_particles.f90	(revision 826)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! particle attributes speed_x|y|z_sgs renamed rvar1|2|3.
-! array particles implemented as pointer.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! particle attributes speed_x|y|z_sgs renamed rvar1|2|3,
+! array particles implemented as pointer
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 825)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 826)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! routine renamed from wang_kernel to lpm_collision_kernels,
-! turbulence_effects on collision replaced by wang_kernel
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! routine renamed from wang_kernel to lpm_collision_kernels,
+! turbulence_effects on collision replaced by wang_kernel
 !
 ! 799 2011-12-21 17:48:03Z franke
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 825)
+++ /palm/trunk/SOURCE/modules.f90	(revision 826)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
 ! +bfactor, curvature_solution_effects, eps_ros, molecular_weight_of_water,
 ! vanthoff, -b_cond in cloud_parameters,
@@ -10,8 +17,4 @@
 ! wang_collision_kernel and turbulence_effects_on_collision replaced by
 ! collision_kernel, hall_kernel, palm_kernel, wang_kernel
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 809 2012-01-30 13:32:58Z marongas
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 825)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 826)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! wang_collision_kernel and turbulence_effects_on_collision in particles_par
-! replaced by collision_kernel
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! wang_collision_kernel and turbulence_effects_on_collision in particles_par
+! replaced by collision_kernel
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 825)
+++ /palm/trunk/SOURCE/parin.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +curvature_solution_effects in inipar
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! +curvature_solution_effects in inipar
 !
 ! 809 2012-01-30 13:32:58Z maronga
Index: /palm/trunk/SOURCE/particle_boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/particle_boundary_conds.f90	(revision 825)
+++ /palm/trunk/SOURCE/particle_boundary_conds.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! particle attributes speed_x|y|z_sgs renamed rvar1|2|3.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! particle attributes speed_x|y|z_sgs renamed rvar1|2|3
 !
 ! 150 2008-02-29 08:19:58Z raasch
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 825)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! +curvature_solution_effects
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! +curvature_solution_effects
 !
 ! 626 2010-12-10 13:04:12Z suehring 
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 825)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! wang_collision_kernel renamed wang_kernel
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 825 2012-02-19 03:03:44Z raasch
+! wang_collision_kernel renamed wang_kernel
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 825)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 826)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +curvature_solution_effects
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 824 2012-02-17 09:09:57Z raasch
+! +curvature_solution_effects
 !
 ! 622 2010-12-10 08:08:13Z raasch