Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 826)
+++ palm/trunk/SOURCE/Makefile	(revision 828)
@@ -4,5 +4,5 @@
 # Current revisions:
 # ------------------
-# 
+# init_particles depends on lpm_collision_kernels
 #
 # Former revisions:
@@ -66,51 +66,50 @@
 
 RCS = advec_particles.f90 advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 \
-        advec_ws.f90 advec_s_ups.f90 advec_u_pw.f90 advec_u_up.f90 \
-        advec_u_ups.f90 advec_v_pw.f90 advec_v_up.f90 advec_v_ups.f90 \
-        advec_w_pw.f90 advec_w_up.f90 advec_w_ups.f90 asselin_filter.f90 \
-        average_3d_data.f90 boundary_conds.f90 buoyancy.f90 \
-        calc_liquid_water_content.f90 calc_precipitation.f90 \
-        calc_radiation.f90 calc_spectra.f90 check_for_restart.f90 \
-        check_open.f90 check_parameters.f90 close_file.f90 compute_vpt.f90 \
-        coriolis.f90 cpu_log.f90 cpu_statistics.f90 data_log.f90 \
-        data_output_dvrp.f90 data_output_mask.f90 data_output_profiles.f90 \
-        data_output_ptseries.f90 data_output_spectra.f90 data_output_tseries.f90 \
-        data_output_2d.f90 data_output_3d.f90 diffusion_e.f90 diffusion_s.f90 \
-        diffusion_u.f90 diffusion_v.f90 diffusion_w.f90 diffusivities.f90 \
-        disturb_field.f90 disturb_heatflux.f90 eqn_state_seawater.f90 \
-        exchange_horiz.f90 exchange_horiz_2d.f90 \
-	fft_xy.f90 flow_statistics.f90 global_min_max.f90 \
-	header.f90 impact_of_latent_heat.f90 inflow_turbulence.f90 \
-	init_1d_model.f90 init_3d_model.f90 init_advec.f90 \
-	init_cloud_physics.f90 init_coupling.f90 init_dvrp.f90 init_grid.f90 \
-	init_masks.f90 init_ocean.f90 init_particles.f90 init_pegrid.f90 \
-	init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
+	advec_ws.f90 advec_s_ups.f90 advec_u_pw.f90 advec_u_up.f90 \
+	advec_u_ups.f90 advec_v_pw.f90 advec_v_up.f90 advec_v_ups.f90 \
+	advec_w_pw.f90 advec_w_up.f90 advec_w_ups.f90 asselin_filter.f90 \
+	average_3d_data.f90 boundary_conds.f90 buoyancy.f90 \
+	calc_liquid_water_content.f90 calc_precipitation.f90 \
+	calc_radiation.f90 calc_spectra.f90 check_for_restart.f90 \
+	check_open.f90 check_parameters.f90 close_file.f90 compute_vpt.f90 \
+	coriolis.f90 cpu_log.f90 cpu_statistics.f90 data_log.f90 \
+	data_output_dvrp.f90 data_output_mask.f90 data_output_profiles.f90 \
+	data_output_ptseries.f90 data_output_spectra.f90 \
+	data_output_tseries.f90 data_output_2d.f90 data_output_3d.f90 \
+	diffusion_e.f90 diffusion_s.f90 diffusion_u.f90 diffusion_v.f90 \
+	diffusion_w.f90 diffusivities.f90 disturb_field.f90 \
+	disturb_heatflux.f90 eqn_state_seawater.f90 exchange_horiz.f90 \
+	exchange_horiz_2d.f90 fft_xy.f90 flow_statistics.f90 \
+	global_min_max.f90 header.f90 impact_of_latent_heat.f90 \
+	inflow_turbulence.f90 init_1d_model.f90 init_3d_model.f90 \
+	init_advec.f90 init_cloud_physics.f90 init_coupling.f90 init_dvrp.f90 \
+	init_grid.f90 init_masks.f90 init_ocean.f90 init_particles.f90 \
+	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
 	interaction_droplets_ptq.f90 local_flush.f90 local_getenv.f90 \
-	local_stop.f90 local_system.f90 local_tremain.f90 local_tremain_ini.f90 \
-        lpm_collision_kernels.f90 message.f90 modules.f90 netcdf.f90 \
-	package_parin.f90 palm.f90 parin.f90 particle_boundary_conds.f90 \
-        plant_canopy_model.f90 poisfft.f90 \
+	local_stop.f90 local_system.f90 local_tremain.f90 \
+	local_tremain_ini.f90 lpm_collision_kernels.f90 message.f90 \
+	modules.f90 netcdf.f90 package_parin.f90 palm.f90 parin.f90 \
+	particle_boundary_conds.f90 plant_canopy_model.f90 poisfft.f90 \
 	poisfft_hybrid.f90 poismg.f90 prandtl_fluxes.f90 pres.f90 print_1d.f90 \
 	production_e.f90 prognostic_equations.f90 random_function.f90 \
 	random_gauss.f90 read_3d_binary.f90 read_var_list.f90 run_control.f90 \
 	set_particle_attributes.f90 set_slicer_attributes_dvrp.f90 \
-        singleton.f90 sor.f90 spline_x.f90 \
+	singleton.f90 sor.f90 spline_x.f90 \
 	spline_y.f90 spline_z.f90 subsidence.f90 \
-        sum_up_3d_data.f90 surface_coupler.f90 \
+	sum_up_3d_data.f90 surface_coupler.f90 \
 	swap_timelevel.f90 temperton_fft.f90 time_integration.f90 \
-        time_to_string.f90 timestep.f90 timestep_scheme_steering.f90 \
-        transpose.f90 user_3d_data_averaging.f90 user_actions.f90 \
+	time_to_string.f90 timestep.f90 timestep_scheme_steering.f90 \
+	transpose.f90 user_3d_data_averaging.f90 user_actions.f90 \
 	user_additional_routines.f90 user_advec_particles.f90 \
 	user_check_data_output.f90 user_check_data_output_pr.f90 \
 	user_check_parameters.f90 user_data_output_2d.f90 \
-	user_data_output_3d.f90 user_data_output_dvrp.f90 user_data_output_mask.f90 \
-	user_define_netcdf_grid.f90 user_dvrp_coltab.f90 user_header.f90 \
-	user_init.f90 user_init_3d_model.f90 user_init_grid.f90 \
-	user_init_particles.f90 user_init_plant_canopy.f90 \
-	user_last_actions.f90 user_module.f90 user_parin.f90 \
-	user_particle_attributes.f90 user_read_restart_data.f90 \
+	user_data_output_3d.f90 user_data_output_dvrp.f90 \
+	user_data_output_mask.f90 user_define_netcdf_grid.f90 \
+	user_dvrp_coltab.f90 user_header.f90 user_init.f90 \
+	user_init_3d_model.f90 user_init_grid.f90 user_init_particles.f90 \
+	user_init_plant_canopy.f90 user_last_actions.f90 user_module.f90 \
+	user_parin.f90 user_particle_attributes.f90 user_read_restart_data.f90 \
 	user_spectra.f90 user_statistics.f90 wall_fluxes.f90 \
-	write_3d_binary.f90 write_compressed.f90 \
-	write_var_list.f90
+	write_3d_binary.f90 write_compressed.f90 write_var_list.f90
 
 OBJS =  advec_particles.o advec_s_bc.o advec_s_pw.o advec_s_up.o \
@@ -252,5 +251,5 @@
 init_masks.o: modules.o
 init_ocean.o: modules.o eqn_state_seawater.o
-init_particles.o: modules.o random_function.o
+init_particles.o: modules.o lpm_collision_kernels.o random_function.o
 init_pegrid.o: modules.o fft_xy.o poisfft.o poisfft_hybrid.o
 init_pt_anomaly.o: modules.o