Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 828)
+++ /palm/trunk/SOURCE/Makefile	(revision 829)
@@ -4,9 +4,12 @@
 # Current revisions:
 # ------------------
-# init_particles depends on lpm_collision_kernels
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 828 2012-02-21 12:00:36Z raasch
+# init_particles depends on lpm_collision_kernels
 #
 # 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/advec_particles.f90	(revision 828)
+++ /palm/trunk/SOURCE/advec_particles.f90	(revision 829)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! ------------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
 ! fast hall/wang kernels with fixed radius/dissipation classes added,
 ! particle feature color renamed class, routine colker renamed
@@ -10,8 +17,4 @@
 !
 ! Bugfix: transformation factor for dissipation changed from 1E5 to 1E4
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 828)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 829)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! check of collision_kernel extended
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! check of collision_kernel extended
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 828)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 829)
@@ -32,9 +32,12 @@
 ! Current revisions:
 ! -----------------
-! particle feature color renamed class
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! particle feature color renamed class
 !
 ! 287 2009-04-09 08:59:36Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 828)
+++ /palm/trunk/SOURCE/header.f90	(revision 829)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! output of dissipation_classes + radius_classes
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! output of dissipation_classes + radius_classes
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/init_particles.f90	(revision 828)
+++ /palm/trunk/SOURCE/init_particles.f90	(revision 829)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! call of init_kernels, particle feature color renamed class
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! call of init_kernels, particle feature color renamed class
 !
 ! 824 2012-02-17 09:09:57Z raasch
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 828)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 829)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
 ! code has been completely reformatted, routine colker renamed
 ! recalculate_kernel,
@@ -10,8 +17,4 @@
 !
 ! Bugfix: transformation factor for dissipation changed from 1E5 to 1E4
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 828)
+++ /palm/trunk/SOURCE/modules.f90	(revision 829)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +dissipation_classes, radius_classes, use_kernel_tables,
-! particle feature color renamed class
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! +dissipation_classes, radius_classes, use_kernel_tables,
+! particle feature color renamed class
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 828)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 829)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +dissipation_classes, radius_classes in parpar
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! +dissipation_classes, radius_classes in parpar
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/set_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/set_particle_attributes.f90	(revision 828)
+++ /palm/trunk/SOURCE/set_particle_attributes.f90	(revision 829)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! particle feature color renamed class
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 828 2012-02-21 12:00:36Z raasch
+! particle feature color renamed class
 !
 ! 622 2010-12-10 08:08:13Z raasch