Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 829)
+++ palm/trunk/SOURCE/Makefile	(revision 849)
@@ -4,5 +4,17 @@
 # Current revisions:
 # ------------------
-# 
+# +lpm_advec, lpm_data_output_particles, lpm_droplet_collision,
+# lpm_droplet_condensation,
+# lpm_exchange_horiz, lpm_extend_particle_array, lpm_extend_tails,
+# lpm_extend_tail_array, lpm_init_sgs_tke, lpm_pack_arrays,
+# lpm_read_restart_file, lpm_release_set, lpm_sort_arrays,
+# lpm_write_exchange_statistics, lpm_write_restart_file
+# advec_particles renamed lpm,
+# init_particles renamed lpm_init,
+# user_advec_particles renamed user_lpm_advec,
+# particle_boundary_conds renamed lpm_boundary_conds,
+# set_particle_attributes renamed lpm_set_attributes
+# user_init_particles renamed user_lpm_init,
+# user_particle_attributes renamed user_lpm_set_attributes
 #
 # Former revisions:
@@ -68,5 +80,5 @@
 PROG =  palm
 
-RCS = advec_particles.f90 advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 \
+RCS =   advec_s_bc.f90 advec_s_pw.f90 advec_s_up.f90 \
 	advec_ws.f90 advec_s_ups.f90 advec_u_pw.f90 advec_u_up.f90 \
 	advec_u_ups.f90 advec_v_pw.f90 advec_v_up.f90 advec_v_ups.f90 \
@@ -87,22 +99,28 @@
 	inflow_turbulence.f90 init_1d_model.f90 init_3d_model.f90 \
 	init_advec.f90 init_cloud_physics.f90 init_coupling.f90 init_dvrp.f90 \
-	init_grid.f90 init_masks.f90 init_ocean.f90 init_particles.f90 \
+	init_grid.f90 init_masks.f90 init_ocean.f90 \
 	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
 	interaction_droplets_ptq.f90 local_flush.f90 local_getenv.f90 \
 	local_stop.f90 local_system.f90 local_tremain.f90 \
-	local_tremain_ini.f90 lpm_collision_kernels.f90 message.f90 \
-	modules.f90 netcdf.f90 package_parin.f90 palm.f90 parin.f90 \
-	particle_boundary_conds.f90 plant_canopy_model.f90 poisfft.f90 \
+	local_tremain_ini.f90 lpm.f90 lpm_advec.f90 lpm_boundary_conds.f90 \
+	lpm_calc_liquid_water_content.f90 lpm_collision_kernels.f90 \
+	lpm_data_output_particles.f90 lpm_droplet_collision.f90 \
+	lpm_droplet_condensation.f90 lpm_exchange_horiz.f90 \
+	lpm_extend_particle_array.f90 lpm_extend_tails.f90 \
+	lpm_extend_tail_array.f90 lpm_init.f90 lpm_init_sgs_tke.f90 \
+	lpm_pack_arrays.f90 lpm_read_restart_file.f90 lpm_release_set.f90 \
+	lpm_set_attributes.f90 lpm_sort_arrays.f90 \
+	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
+	message.f90 modules.f90 netcdf.f90 package_parin.f90 palm.f90 \
+	parin.f90 plant_canopy_model.f90 poisfft.f90 \
 	poisfft_hybrid.f90 poismg.f90 prandtl_fluxes.f90 pres.f90 print_1d.f90 \
 	production_e.f90 prognostic_equations.f90 random_function.f90 \
 	random_gauss.f90 read_3d_binary.f90 read_var_list.f90 run_control.f90 \
-	set_particle_attributes.f90 set_slicer_attributes_dvrp.f90 \
-	singleton.f90 sor.f90 spline_x.f90 \
-	spline_y.f90 spline_z.f90 subsidence.f90 \
-	sum_up_3d_data.f90 surface_coupler.f90 \
-	swap_timelevel.f90 temperton_fft.f90 time_integration.f90 \
-	time_to_string.f90 timestep.f90 timestep_scheme_steering.f90 \
-	transpose.f90 user_3d_data_averaging.f90 user_actions.f90 \
-	user_additional_routines.f90 user_advec_particles.f90 \
+	set_slicer_attributes_dvrp.f90 singleton.f90 sor.f90 spline_x.f90 \
+	spline_y.f90 spline_z.f90 subsidence.f90 sum_up_3d_data.f90 \
+	surface_coupler.f90 swap_timelevel.f90 temperton_fft.f90 \
+	time_integration.f90 time_to_string.f90 timestep.f90 \
+	timestep_scheme_steering.f90 transpose.f90 user_3d_data_averaging.f90 \
+	user_actions.f90 user_additional_routines.f90 \
 	user_check_data_output.f90 user_check_data_output_pr.f90 \
 	user_check_parameters.f90 user_data_output_2d.f90 \
@@ -110,20 +128,20 @@
 	user_data_output_mask.f90 user_define_netcdf_grid.f90 \
 	user_dvrp_coltab.f90 user_header.f90 user_init.f90 \
-	user_init_3d_model.f90 user_init_grid.f90 user_init_particles.f90 \
-	user_init_plant_canopy.f90 user_last_actions.f90 user_module.f90 \
-	user_parin.f90 user_particle_attributes.f90 user_read_restart_data.f90 \
+	user_init_3d_model.f90 user_init_grid.f90 \
+	user_init_plant_canopy.f90 user_last_actions.f90 user_lpm_advec.f90 \
+	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
+	user_parin.f90 user_read_restart_data.f90 \
 	user_spectra.f90 user_statistics.f90 wall_fluxes.f90 \
 	write_3d_binary.f90 write_compressed.f90 write_var_list.f90
 
-OBJS =  advec_particles.o advec_s_bc.o advec_s_pw.o advec_s_up.o \
-	advec_s_ups.o advec_u_pw.o advec_u_up.o advec_u_ups.o \
-        advec_ws.o advec_v_pw.o advec_v_up.o advec_v_ups.o advec_w_pw.o \
-	advec_w_up.o advec_w_ups.o asselin_filter.o average_3d_data.o \
-	boundary_conds.o buoyancy.o calc_liquid_water_content.o \
-	calc_precipitation.o calc_radiation.o calc_spectra.o \
-	check_for_restart.o check_open.o check_parameters.o close_file.o \
-	compute_vpt.o coriolis.o cpu_log.o cpu_statistics.o data_log.o \
-	data_output_dvrp.o data_output_mask.o data_output_profiles.o \
-	data_output_ptseries.o \
+OBJS =  advec_s_bc.o advec_s_pw.o advec_s_up.o advec_s_ups.o advec_u_pw.o \
+	advec_u_up.o advec_u_ups.o advec_ws.o advec_v_pw.o advec_v_up.o \
+	advec_v_ups.o advec_w_pw.o advec_w_up.o advec_w_ups.o asselin_filter.o \
+	average_3d_data.o boundary_conds.o buoyancy.o \
+	calc_liquid_water_content.o calc_precipitation.o calc_radiation.o \
+	calc_spectra.o check_for_restart.o check_open.o check_parameters.o \
+	close_file.o compute_vpt.o coriolis.o cpu_log.o cpu_statistics.o \
+	data_log.o data_output_dvrp.o data_output_mask.o \
+	data_output_profiles.o data_output_ptseries.o \
 	data_output_spectra.o data_output_tseries.o data_output_2d.o \
 	data_output_3d.o diffusion_e.o diffusion_s.o diffusion_u.o \
@@ -133,31 +151,34 @@
 	header.o impact_of_latent_heat.o inflow_turbulence.o init_1d_model.o \
 	init_3d_model.o init_advec.o init_cloud_physics.o init_coupling.o \
-	init_dvrp.o init_grid.o init_masks.o init_ocean.o init_particles.o \
-	init_pegrid.o init_pt_anomaly.o init_rankine.o init_slope.o \
+	init_dvrp.o init_grid.o init_masks.o init_ocean.o init_pegrid.o \
+	init_pt_anomaly.o init_rankine.o init_slope.o \
 	interaction_droplets_ptq.o local_flush.o local_getenv.o local_stop.o \
-	local_system.o local_tremain.o local_tremain_ini.o \
-	lpm_collision_kernels.f90 message.o modules.o \
-	netcdf.o package_parin.o palm.o parin.o particle_boundary_conds.o \
-        plant_canopy_model.o poisfft.o \
+	local_system.o local_tremain.o local_tremain_ini.o lpm.o lpm_advec.o \
+	lpm_boundary_conds.o lpm_calc_liquid_water_content.o \
+	lpm_collision_kernels.o lpm_data_output_particles.o \
+	lpm_droplet_collision.o lpm_droplet_condensation.o \
+	lpm_exchange_horiz.o lpm_extend_particle_array.o lpm_extend_tails.o \
+	lpm_extend_tail_array.o lpm_init.o lpm_init_sgs_tke.o \
+	lpm_pack_arrays.o lpm_read_restart_file.o lpm_release_set.o \
+	lpm_set_attributes.o lpm_sort_arrays.o lpm_write_exchange_statistics.o \
+	lpm_write_restart_file.o message.o modules.o netcdf.o package_parin.o \
+	palm.o parin.o plant_canopy_model.o poisfft.o \
 	poisfft_hybrid.o poismg.o prandtl_fluxes.o pres.o print_1d.o \
 	production_e.o prognostic_equations.o random_function.o random_gauss.o \
 	read_3d_binary.o read_var_list.o run_control.o \
-	set_particle_attributes.o set_slicer_attributes_dvrp.o \
-        singleton.o sor.o spline_x.o spline_y.o \
-        spline_z.o subsidence.o sum_up_3d_data.o surface_coupler.o \
-        swap_timelevel.o \
-        temperton_fft.o time_integration.o time_to_string.o \
-        timestep.o timestep_scheme_steering.o transpose.o \
+	set_slicer_attributes_dvrp.o singleton.o sor.o spline_x.o spline_y.o \
+	spline_z.o subsidence.o sum_up_3d_data.o surface_coupler.o \
+	swap_timelevel.o temperton_fft.o time_integration.o time_to_string.o \
+	timestep.o timestep_scheme_steering.o transpose.o \
 	user_3d_data_averaging.o user_actions.o user_additional_routines.o \
-	user_advec_particles.o user_check_data_output.o \
-	user_check_data_output_pr.o user_check_parameters.o \
-	user_data_output_2d.o user_data_output_3d.o user_data_output_mask.o user_data_output_dvrp.o \
+	user_check_data_output.o user_check_data_output_pr.o \
+	user_check_parameters.o user_data_output_2d.o user_data_output_3d.o \
+	user_data_output_mask.o user_data_output_dvrp.o \
 	user_define_netcdf_grid.o user_dvrp_coltab.o user_header.o \
 	user_init.o user_init_3d_model.o user_init_grid.o \
-	user_init_particles.o user_init_plant_canopy.o user_last_actions.o \
-	user_module.o user_parin.o user_particle_attributes.o \
+	user_init_plant_canopy.o user_last_actions.o user_lpm_advec.o \
+	user_lpm_init.o user_lpm_set_attributes.o user_module.o user_parin.o \
 	user_read_restart_data.o user_spectra.o user_statistics.o \
-	wall_fluxes.o write_3d_binary.o write_compressed.o \
-	write_var_list.o
+	wall_fluxes.o write_3d_binary.o write_compressed.o write_var_list.o
 
 CC = cc
@@ -188,5 +209,5 @@
 
 
-advec_particles.o: modules.o lpm_collision_kernels.o random_function.o
+advec_particles.o: modules.o
 advec_s_bc.o: modules.o
 advec_s_pw.o: modules.o
@@ -254,5 +275,4 @@
 init_masks.o: modules.o
 init_ocean.o: modules.o eqn_state_seawater.o
-init_particles.o: modules.o lpm_collision_kernels.o random_function.o
 init_pegrid.o: modules.o fft_xy.o poisfft.o poisfft_hybrid.o
 init_pt_anomaly.o: modules.o
@@ -264,5 +284,24 @@
 local_tremain.o: modules.o
 local_tremain_ini.o: modules.o
+lpm_advec.o: modules.o
+lpm_boundary_conds.o: modules.o
+lpm_calc_liquid_water_content.o: modules.o
 lpm_collision_kernels.o: modules.o user_module.o
+lpm_data_output_particles.o: modules.o
+lpm_droplet_collision.o: modules.o lpm_collision_kernels.o
+lpm_droplet_condensation.o: modules.o lpm_collision_kernels.o
+lpm_exchange_horiz.o: modules.o
+lpm_extend_particle_array.o: modules.o
+lpm_extend_tails.o: modules.o
+lpm_extend_tail_array.o: modules.o
+lpm_init.o: modules.o lpm_collision_kernels.o random_function.o
+lpm_init_sgs_tke.o: modules.o
+lpm_pack_arrays.o: modules.o
+lpm_read_restart_file.o: modules.o
+lpm_release_set.o: modules.o random_function.o
+lpm_set_attributes.o: modules.o
+lpm_sort_arrays.o: modules.o
+lpm_write_exchange_statistics.o: modules.o
+lpm_write_restart_file.o: modules.o
 message.o: modules.o
 modules.o: modules.f90
@@ -271,5 +310,4 @@
 palm.o: modules.o
 parin.o: modules.o
-particle_boundary_conds.o: modules.o
 plant_canopy_model.o: modules.o
 poisfft.o: modules.o fft_xy.o
@@ -292,5 +330,4 @@
 read_var_list.o: modules.o
 run_control.o: modules.o
-set_particle_attributes.o: modules.o
 set_slicer_attributes_dvrp.o: modules.o
 singleton.o: singleton.f90
@@ -312,5 +349,4 @@
 user_actions.o: modules.o user_module.o
 user_additional_routines.o: modules.o user_module.o
-user_advec_particles.o: modules.o user_module.o
 user_check_data_output.o: modules.o user_module.o
 user_check_data_output_pr.o: modules.o user_module.o
@@ -326,10 +362,11 @@
 user_init_3d_model.o: modules.o user_module.o
 user_init_grid.o: modules.o user_module.o
-user_init_particles.o: modules.o user_module.o
 user_init_plant_canopy.o: modules.o user_module.o
 user_last_actions.o: modules.o user_module.o
+user_lpm_advec.o: modules.o user_module.o
+user_lpm_init.o: modules.o user_module.o
+user_lpm_set_attributes.o: modules.o user_module.o
 user_module.o: user_module.f90
 user_parin.o: modules.o user_module.o
-user_particle_attributes.o: modules.o user_module.o
 user_read_restart_data.o: modules.o user_module.o
 user_spectra.o: modules.o user_module.o