Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 849)
+++ palm/trunk/SOURCE/Makefile	(revision 850)
@@ -4,4 +4,11 @@
 # Current revisions:
 # ------------------
+# 
+#
+# Former revisions:
+# -----------------
+# $Id$
+#
+# 849 2012-03-15 10:35:09Z raasch
 # +lpm_advec, lpm_data_output_particles, lpm_droplet_collision,
 # lpm_droplet_condensation,
@@ -17,8 +24,4 @@
 # user_init_particles renamed user_lpm_init,
 # user_particle_attributes renamed user_lpm_set_attributes
-#
-# Former revisions:
-# -----------------
-# $Id$
 #
 # 828 2012-02-21 12:00:36Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 849)
+++ palm/trunk/SOURCE/check_open.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! comment changed
 !
 ! 809 2012-01-30 13:32:58Z maronga
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 849)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 850)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! init_particles renamed lpm_init
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! init_particles renamed lpm_init
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: palm/trunk/SOURCE/lpm.f90
===================================================================
--- palm/trunk/SOURCE/lpm.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm.f90	(revision 850)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! ------------------
-! Original routine advec_particles split into several subroutines and renamed
-! lpm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! original routine advec_particles split into several subroutines and renamed
+! lpm
 !
 ! 831 2012-02-22 00:29:39Z raasch
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 850)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! routine renamed lpm_boundary_conds, bottom and top boundary conditions
-! included
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine renamed lpm_boundary_conds, bottom and top boundary conditions
+! included (former part of advec_particles)
 !
 ! 824 2012-02-17 09:09:57Z raasch
Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 850)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! routine collision_efficiency_rogers added (moved from former advec_particles
-! to here)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine collision_efficiency_rogers added (moved from former advec_particles
+! to here)
 !
 ! 835 2012-02-22 11:21:19Z raasch $
Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 ! 22/02/12 - Initial version
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 850)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! ------------------
-! collision_efficiency renamed collision_efficiency_rogers,
-! message text "advec_particles" replaced by " lpm_droplet_collision"
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! message text "advec_particles" replaced by " lpm_droplet_condensation"
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_extend_particle_array.f90
===================================================================
--- palm/trunk/SOURCE/lpm_extend_particle_array.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_extend_particle_array.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_extend_tail_array.f90
===================================================================
--- palm/trunk/SOURCE/lpm_extend_tail_array.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_extend_tail_array.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_extend_tails.f90
===================================================================
--- palm/trunk/SOURCE/lpm_extend_tails.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_extend_tails.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 850)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
 ! routine renamed: init_particles -> lpm_init
 ! de_dx, de_dy, de_dz are allocated here (instead of automatic arrays in
 ! advec_particles),
 ! sort_particles renamed lpm_sort_arrays, user_init_particles renamed lpm_init
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 828 2012-02-21 12:00:36Z raasch
Index: palm/trunk/SOURCE/lpm_init_sgs_tke.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_pack_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_read_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of init_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_release_set.f90
===================================================================
--- palm/trunk/SOURCE/lpm_release_set.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_release_set.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! routine renamed: set_particle_attributes -> lpm_set_attributes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine renamed: set_particle_attributes -> lpm_set_attributes
 !
 ! 828 2012-02-21 12:00:36Z raasch
Index: palm/trunk/SOURCE/lpm_sort_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_sort_arrays.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_sort_arrays.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_write_exchange_statistics.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/lpm_write_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 849)
+++ palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 850)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! initial revision (former part of advec_particles)
 !
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 849)
+++ palm/trunk/SOURCE/modules.f90	(revision 850)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
 ! +deleted_particles, deleted_tails, tr.._count_sum, tr.._count_recv_sum in
 ! particle_attributes,
 ! +de_dx, de_dy, de_dz in arrays_3d,
 ! first_call_advec_particles renamed first_call_lpm
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 828 2012-02-21 12:00:36Z raasch
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 849)
+++ palm/trunk/SOURCE/palm.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! write_particles renamed lpm_write_restart_file
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! write_particles renamed lpm_write_restart_file
 !
 ! 759 2011-09-15 13:58:31Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 849)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! first_call_advec_particles renamed first_call_lpm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! first_call_advec_particles renamed first_call_lpm
 !
 ! 824 2012-02-17 09:09:57Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 849)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! advec_particles renamed lpm, first_call_advec_particles renamed first_call_lpm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! advec_particles renamed lpm, first_call_advec_particles renamed first_call_lpm
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: palm/trunk/SOURCE/user_lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/user_lpm_advec.f90	(revision 849)
+++ palm/trunk/SOURCE/user_lpm_advec.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! routine renamed user_lpm_advec
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine renamed user_lpm_advec
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/user_lpm_init.f90	(revision 849)
+++ palm/trunk/SOURCE/user_lpm_init.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! routine renamed: user_init_particles -> user_lpm_init
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine renamed: user_init_particles -> user_lpm_init
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/user_lpm_set_attributes.f90	(revision 849)
+++ palm/trunk/SOURCE/user_lpm_set_attributes.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! routine renamed: user_particle_attributes -> user_lpm_set_attributes
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! routine renamed: user_particle_attributes -> user_lpm_set_attributes
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 849)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 850)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! first_call_advec_particles renamed first_call_lpm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 849 2012-03-15 10:35:09Z raasch
+! first_call_advec_particles renamed first_call_lpm
 !
 ! 824 2012-02-17 09:09:57Z raasch